'
'  rastest1.bas
'
'  Ras Test Program
'  PB/CC program that prompts the user to connect to the internet.
'
$DIM ALL

'- We have a choice of using the ras32.dll to
'  handle ras or compiling right into our exe
'
%COMPILE_WITH_DLL = 0
$IF %COMPILE_WITH_DLL
   $INCLUDE "rs32.inc"
$ELSE
   $INCLUDE "win32api.inc"
   $INCLUDE "ras_wrap.bas"
$ENDIF

Function PbMain()

   Dim i As Long
   Dim iEntries As Long
   Dim iSelect As Long
   Dim hRas As Long
   Dim sSelect As String
   Dim ky as String

   '- Get the number of ras entries in the phone book
   iEntries = rsAvailableEntries
   If iEntries < 1 Then
      stdout "No Ras entries found"
   Else

      '- Print them on the screen and let the user select one.
      stdout  "Found" + Str$(iEntries) + " entries."
      For i = 1 To iEntries
          stdout Format$(i) + ". " + Trim$(rsGetEntryName(i))
      Next i
      stdout  "Type in the number of the entry and press enter: ";
      StdIn Line sSelect
      iSelect = Int(Val(sSelect))

      '- Invalid selection means we quit
      If (iSelect < 1) Or (iSelect > iEntries) Then
         stdout  "Operation Aborted"
      Else

         stdout  "Connecting to " + Trim$(rsGetEntryName(iSelect))

         '- Dial the number
         hRas = rsDialEntry(iSelect)
         If hRas = %False Then
            stdout  "Not Connected"
         Else
            stdout  "Connected. Press any key to hangup or <esc> to stay connected"
            Do 
               ky = inkey$
               apiSleep 5
            Loop until ky <> "" 
            
            if ky$ = Chr$(27) then
               stdout "Your RAS connection is still connected."
            else
               stdout  "Please wait while hanging up ..."
               rsHangupConnection hRas
               stdout  "Connection Terminated."
            end if
         End If
      End If
   End If

End Function
